package com.qmth.sop.business.bean.result.analyze.sopWarn;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: sop监控集合
 * @Author: CaoZixuan
 * @Date: 2023-11-22
 */
public class SopMonitor {
    @ApiModelProperty("sop监控类型（延期预警 - 违规登记）")
    private SopMonitorEnum sopMonitorType;

    @ApiModelProperty("派单号")
    private String crmNo;

    @ApiModelProperty("sop号")
    private String sopNo;

    @ApiModelProperty("服务单元id")
    private Long serviceId;

    @ApiModelProperty("责任人id")
    private Long userId;

    @ApiModelProperty("完成状态")
    private Boolean finishStatus;

    @ApiModelProperty("开始时间")
    private Long startTime;

    @ApiModelProperty("关闭时间")
    private Long closeTime;

    @ApiModelProperty("派单所属大区id")
    private Long regionId;

    @ApiModelProperty("派单所属大区名称")
    private String regionName;

    @ApiModelProperty("责任人所属供应商id")
    private Long supplierId;

    @ApiModelProperty("责任人所属供应商名称")
    private String supplierName;

    public SopMonitorEnum getSopMonitorType() {
        return sopMonitorType;
    }

    public void setSopMonitorType(SopMonitorEnum sopMonitorType) {
        this.sopMonitorType = sopMonitorType;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Boolean getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Boolean finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(Long closeTime) {
        this.closeTime = closeTime;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }
}
